ncsa.hdf.hdf5lib.exceptions

## Class HDF5Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ncsa.hdf.hdf5lib.exceptions.HDF5Exception

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  HDF5JavaException, HDF5LibraryException

    public class HDF5Exception
    extends java.lang.Exception

The class HDF5Exception returns errors from the Java HDF5 Interface.

Two sub-classes of HDF5Exception are defined:

1. HDF5LibraryException -- errors raised the HDF5 library code
2. HDF5JavaException -- errors raised the HDF5 Java wrapper code

These exceptions are sub-classed to represent specific error conditions, as needed. In particular, HDF5LibraryException has a sub-class for each major error code returned by the HDF5 library.

See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.String` `detailMessage`

### Constructor Summary

Constructors
Constructor and Description
`HDF5Exception()` Constructs an `HDF5Exception` with no specified detail message.
`HDF5Exception(java.lang.String message)` Constructs an `HDF5Exception` with the specified detail message.

### Method Summary

Methods
`java.lang.String` `getMessage()` Returns the detail message of this exception

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### detailMessage

    protected java.lang.String detailMessage

### Constructor Detail

#### HDF5Exception

    public HDF5Exception()

Constructs an `HDF5Exception` with no specified detail message.

#### HDF5Exception

    public HDF5Exception(java.lang.String message)

Constructs an `HDF5Exception` with the specified detail message.

Parameters:
  `message` - the detail message.

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Returns the detail message of this exception

Overrides:
  `getMessage` in class `java.lang.Throwable`
Returns:
  the detail message or `null` if this object does not have a detail message.